using Microsoft.Extensions.Hosting;

namespace Femto.Modules.Media.Application;

public class MediaApplication(IHost host) : BackgroundService
{
    protected override async Task ExecuteAsync(CancellationToken stoppingToken)
    {
        await host.RunAsync(stoppingToken);
    }
}